// Copyright 2018 RED Software, LLC. All Rights Reserved.

using IgniteEngine.Networking;
using System.Collections.Generic;

namespace IgniteEngine.Protocols
{
    public class PROTO_NC_USER_WORLD_STATUS_ACK : NetworkMessage
    {
        public PROTO_NC_USER_WORLD_STATUS_ACK(List<World> worlds) : base(NetworkCommand.NC_USER_WORLD_STATUS_ACK)
        {
            Write((byte) worlds.Count);
            this.Write(worlds);
        }
    }
}
